Debian Bug report logs - #467827
libdevel-ptkdb-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libdevel-ptkdb-perl; Maintainer for libdevel-ptkdb-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdevel-ptkdb-perl is src:libdevel-ptkdb-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:21:01 UTC

Severity: important

Tags: patch

Found in version libdevel-ptkdb-perl/1.1091-1

Fixed in version libdevel-ptkdb-perl/1.1091-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <florian@mookooh.org>:
Bug#467827; Package libdevel-ptkdb-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libdevel-ptkdb-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:14 +0200
Package: libdevel-ptkdb-perl
Version: 1.1091-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <florian@mookooh.org>:
Bug#467827; Package libdevel-ptkdb-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #10 received at 467827@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467827@bugs.debian.org
Subject: libdevel-ptkdb-perl: diff for NMU version 1.1091-1.1
Date: Sat, 5 Apr 2008 22:59:01 +0100
[Message part 1 (text/plain, inline)]
tags 467827 + patch
thanks

Hi,

Attached is the diff for my libdevel-ptkdb-perl 1.1091-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libdevel-ptkdb-perl-1.1091-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:03:10 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467827-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467827-close@bugs.debian.org
Subject: Bug#467827: fixed in libdevel-ptkdb-perl 1.1091-1.1
Date: Sat, 05 Apr 2008 22:03:19 +0000
Source: libdevel-ptkdb-perl
Source-Version: 1.1091-1.1

We believe that the bug you reported is fixed in the latest version of
libdevel-ptkdb-perl, which is due to be installed in the Debian FTP archive:

libdevel-ptkdb-perl_1.1091-1.1.diff.gz
  to pool/main/libd/libdevel-ptkdb-perl/libdevel-ptkdb-perl_1.1091-1.1.diff.gz
libdevel-ptkdb-perl_1.1091-1.1.dsc
  to pool/main/libd/libdevel-ptkdb-perl/libdevel-ptkdb-perl_1.1091-1.1.dsc
libdevel-ptkdb-perl_1.1091-1.1_all.deb
  to pool/main/libd/libdevel-ptkdb-perl/libdevel-ptkdb-perl_1.1091-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467827@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libdevel-ptkdb-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:03 +0100
Source: libdevel-ptkdb-perl
Binary: libdevel-ptkdb-perl
Architecture: source all
Version: 1.1091-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <florian@mookooh.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libdevel-ptkdb-perl - Perl debugger using a Tk GUI
Closes: 467827
Changes: 
 libdevel-ptkdb-perl (1.1091-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467827
Files: 
 81c3889b8c2c669ac6a6c318290db398 663 perl optional libdevel-ptkdb-perl_1.1091-1.1.dsc
 2f1f6f661ccddafdca2c98c8fc858ea3 1882 perl optional libdevel-ptkdb-perl_1.1091-1.1.diff.gz
 64121dee0818035c66339a12b4fdb2d6 52588 perl optional libdevel-ptkdb-perl_1.1091-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/ILNIW6CNDsByMRAmNOAJ9AYO8f7k3E3Q/DuGP/demyfJpMJgCgtfuk
iZf3Q7Xp48rFrdG8sm7JcrM=
=Gp6s
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:28:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.